Windows Server 2008 與 .NET Framework 版本的關係?


Windows Server 2008 已快要正式上市了,相信很多朋友也開啟將自己的應用程式放在 Windows Server 2008 上測試。

到底 Windows Server 2008 與 .NET Framework 的版本之間有何關係?若您是開發應用程式的朋友,一定要先分清楚 Windows Server 2008 預設安裝的版本及應用程式會用到的版本,才能知道是否要再額外加裝 .NET Framework。

 

筆者將之整理如下:

1. Windows Server 2008 預設剛安裝完成後:.NET Framework 2.0 with Service Pack 1

2. Windows Server 2008 加安裝 Application Server Role:.NET Framework 3.0 with Service Pack 1

3. .NET Framework 3.5 需要另外下載安裝,或是由 Windows update 更新

4. 若您是安裝 Windows Server 2008 "Core" 版本:沒有安裝且無法安裝 .NET Framework

Comments (3)

  1. Jamebo says:

    As I known, PowerShell need dotNet framework. That means, Windows Server 2008 Core will NOT support PowerShell?

  2. jchiou says:

    Hi Jamebo,

    Thanks for your question.

    Unfortunately it won’t be available in the Windows Server 2008 time frame.

    Correct, it won’t run locally. However you can use PowerShell to remotely manage Server Core using WMI. You can then wrap all the abilities of PowerShell around the WMI returns from Server Core.

    For more information:

    http://forums.microsoft.com/TechNet/ShowPost.aspx?PostID=2284472&SiteID=17

    http://forums.microsoft.com/TechNet/ShowPost.aspx?PostID=2201186&SiteID=17

    Have a nice day.

    Jacky

  3. Jamebo says:

    Thank you for your information.

    -Jamebo

Skip to main content